import React, { EventHandler, FormEvent, FormEventHandler, useState } from "react"
import { connection } from "../utils/server"

interface Props {
  username: string
  setUsername: (name: string) => void
}
const Connection: React.FC<Props> = ({ setUsername, username }) => {
  const handleSubmit = (e: FormEvent) => {
    e.preventDefault()

    connection(username)
  }

  return (
    <form onSubmit={handleSubmit}>
      <input
        type="text"
        placeholder="Pseudo"
        value={username}
        onChange={(event) => setUsername(event.target.value)}
      />
      <input type="submit" value="Connecter" />
    </form>
  )
}

export default Connection